#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-1.lp --br=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-1.br --topology=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-2.lp --br=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-2.br --topology=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-3.lp --br=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-3.br --topology=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-4.lp --br=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-4.br --topology=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=5 --port=5005 --kb=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-5.lp --br=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-5.br --topology=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=6 --port=5006 --kb=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-6.lp --br=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-6.br --topology=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=7 --port=5007 --kb=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-7.lp --br=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-7.br --topology=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=8 --port=5008 --kb=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-8.lp --br=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h-8.br --topology=$TESTSPATH/ring-8-7-5-5/8-7-5-5-h.top >/dev/null 2>&1 &
/usr/bin/time --portability -o ring-8-7-5-5/8-7-5-5-h-dmcs-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=8 --query-variables="161 209 121 39 93 49 145 39 " > ring-8-7-5-5/8-7-5-5-h-dmcs.log 2> ring-8-7-5-5/8-7-5-5-h-dmcs-err.log
killall dmcsd
