#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-1.lp --br=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-1.br --topology=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-2.lp --br=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-2.br --topology=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-3.lp --br=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-3.br --topology=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-4.lp --br=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-4.br --topology=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=5 --port=5005 --kb=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-5.lp --br=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-5.br --topology=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=6 --port=5006 --kb=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-6.lp --br=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-6.br --topology=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=7 --port=5007 --kb=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-7.lp --br=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e-7.br --topology=$TESTSPATH/diamond-7-7-5-5/7-7-5-5-e.top >/dev/null 2>&1 &
/usr/bin/time --portability -o diamond-7-7-5-5/7-7-5-5-e-dmcs-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=7 --query-variables="18446744073709551615 9 9 151 97 133 111 " > diamond-7-7-5-5/7-7-5-5-e-dmcs.log 2> diamond-7-7-5-5/7-7-5-5-e-dmcs-err.log
killall dmcsd
