#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-1.lp --br=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-1.br --topology=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-2.lp --br=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-2.br --topology=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-3.lp --br=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-3.br --topology=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-4.lp --br=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-4.br --topology=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=5 --port=5005 --kb=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-5.lp --br=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-5.br --topology=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=6 --port=5006 --kb=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-6.lp --br=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-6.br --topology=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=7 --port=5007 --kb=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-7.lp --br=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j-7.br --topology=$TESTSPATH/zigzag-7-7-4-4/7-7-4-4-j.opt >/dev/null 2>&1 &
/usr/bin/time --portability -o zigzag-7-7-4-4/7-7-4-4-j-dmcsopt-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=7 > zigzag-7-7-4-4/7-7-4-4-j-dmcsopt.log 2> zigzag-7-7-4-4/7-7-4-4-j-dmcsopt-err.log
killall dmcsd
